# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_OffsetCurve Class Reference

`#include <PGeom2d_OffsetCurve.hxx>`

Inheritance diagram for PGeom2d_OffsetCurve:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom2d_OffsetCurve ()
| Creates an OffsetCurve with default values. .
Standard_EXPORT | PGeom2d_OffsetCurve (const Handle(PGeom2d_Curve)&aBasisCurve, const Standard_Real aOffsetValue)
| <abasiscurve> is the basis curve, <aoffsetvalue> is the distance between <me> and the basis curve at any point. <aoffsetdirection> defines the fixed reference direction (offset direction).
Standard_EXPORT void | BasisCurve (const Handle(PGeom2d_Curve)&aBasisCurve)
| Set the field basisCurve with <abasiscurve>. .
Standard_EXPORT Handle_PGeom2d_Curve | BasisCurve () const
| The basis curve can be an offset curve. .
Standard_EXPORT void | OffsetValue (const Standard_Real aOffsetValue)
| Set the field offsetValue with <aoffsetvalue>. .
Standard_EXPORT Standard_Real | OffsetValue () const
| Returns the value of the field offsetValue. .
| PGeom2d_OffsetCurve (const Storage_stCONSTclCOM &a)
| Handle (PGeom2d_Curve) _CSFDB_GetPGeom2d_OffsetCurvebasisCurve() const
void | _CSFDB_SetPGeom2d_OffsetCurvebasisCurve (const Handle(PGeom2d_Curve)&p)
Standard_Real | _CSFDB_GetPGeom2d_OffsetCurveoffsetValue () const
void | _CSFDB_SetPGeom2d_OffsetCurveoffsetValue (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom2d_Curve | basisCurve
Standard_Real | offsetValue

## Constructor & Destructor Documentation

Standard_EXPORT PGeom2d_OffsetCurve::PGeom2d_OffsetCurve | ( |  | ) |

Standard_EXPORT PGeom2d_OffsetCurve::PGeom2d_OffsetCurve | ( | const Handle(PGeom2d_Curve)& | aBasisCurve,
|  | const Standard_Real | aOffsetValue
| ) |

PGeom2d_OffsetCurve::PGeom2d_OffsetCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom2d_OffsetCurve::_CSFDB_GetPGeom2d_OffsetCurveoffsetValue | ( |  | ) | const`[inline]`

void PGeom2d_OffsetCurve::_CSFDB_SetPGeom2d_OffsetCurvebasisCurve | ( | const Handle(PGeom2d_Curve)& | p | ) | `[inline]`

void PGeom2d_OffsetCurve::_CSFDB_SetPGeom2d_OffsetCurveoffsetValue | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT Handle_PGeom2d_Curve PGeom2d_OffsetCurve::BasisCurve | ( |  | ) | const

Standard_EXPORT void PGeom2d_OffsetCurve::BasisCurve | ( | const Handle(PGeom2d_Curve)& | aBasisCurve | ) |

Standard_EXPORT const PGeom2d_OffsetCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Curve.

PGeom2d_OffsetCurve::Handle | ( | PGeom2d_Curve |  | ) | const`[inline]`

Standard_EXPORT Standard_Real PGeom2d_OffsetCurve::OffsetValue | ( |  | ) | const

Standard_EXPORT void PGeom2d_OffsetCurve::OffsetValue | ( | const Standard_Real | aOffsetValue | ) |

## Field Documentation

Handle_PGeom2d_Curve PGeom2d_OffsetCurve::basisCurve `[private]`

Standard_Real PGeom2d_OffsetCurve::offsetValue `[private]`

The documentation for this class was generated from the following file:

- PGeom2d_OffsetCurve.hxx